ONVIF::Media::Types::StreamingCapabilities(3pm)

NAME
ONVIF::Media::Types::StreamingCapabilities

DESCRIPTION
Perl data type class for the XML Schema defined complexType StreamingCapabilities from the namespace http://www.onvif.org/ver10/media/wsdl.

  PROPERTIES
The following properties may be accessed using get_PROPERTY / set_PROPERTY methods:

METHODS

  new
Constructor. The following data structure may be passed to new():

 { # ONVIF::Media::Types::StreamingCapabilities
 },

  attr
NOTE: Attribute documentation is experimental, and may be inaccurate. See the correspondent WSDL/XML Schema if in question.

This class has additional attributes, accessibly via the attr() method.

attr() returns an object of the class ONVIF::Media::Types::StreamingCapabilities::_StreamingCapabilities::XmlAttr.

The following attributes can be accessed on this object via the corresponding get_/set_ methods:

•   RTPMulticast

     Indicates support for RTP multicast.

    This attribute is of type SOAP::WSDL::XSD::Typelib::Builtin::boolean.

•   RTP_TCP

     Indicates support for RTP over TCP.

    This attribute is of type SOAP::WSDL::XSD::Typelib::Builtin::boolean.

•   RTP_RTSP_TCP

     Indicates support for RTP/RTSP/TCP.

    This attribute is of type SOAP::WSDL::XSD::Typelib::Builtin::boolean.

•   NonAggregateControl

     Indicates support for non aggregate RTSP control.

    This attribute is of type SOAP::WSDL::XSD::Typelib::Builtin::boolean.

•   NoRTSPStreaming

      Indicates the device does not support live media streaming via RTSP.

    This attribute is of type SOAP::WSDL::XSD::Typelib::Builtin::boolean.

AUTHOR
Generated by SOAP::WSDL